> For the complete documentation index, see [llms.txt](https://docs.pezesha.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pezesha.com/loan-status.md).

# Loan Status

This endpoint is used to get a borrower’s latest loan status on the Pezesha platform. A loan can be in the following statuses:

* **Processing** - Loan is being prepared for disbursement
* **Score** - Merchant/Customer is being scored to confirm they are still eligible for a limit.
* **Funding** - Loan is being sent to the payment provider for disbursement.
* **Funded** - The loan has been disbursed and its duration is on course.
* **Paid -** Loan has been paid for.
* **Cancelled** - Loan has been cancelled.
* **Late** - The user is late on payment against the loan.

## Loan Status

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/mfi/v1/borrowers/latest`

Get latest loan status

#### Headers

| Name                                            | Type   | Description              |
| ----------------------------------------------- | ------ | ------------------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Token from Auth endpoint |

#### Request Body

| Name                                         | Type   | Description                  |
| -------------------------------------------- | ------ | ---------------------------- |
| channel<mark style="color:red;">\*</mark>    | string | Client Name given by Pezesha |
| identifier<mark style="color:red;">\*</mark> | string | Merchant ID                  |

{% tabs %}
{% tab title="200 Latest loan status" %}

```javascript
{
   "error":false,
   "status":200,
   "message":"Success!",
   "response_code":0,
   "data":{
      "loan_id":50553,
      "customer_id":5043,
      "channel":"CHANNEL",
      "loan_amount":5000,
      "interest":500,
      "status":"Processing",
      "application_date":"2018-07-20 11:21:58",
      "funded_time":"2018-07-20 11:21:58"
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pezesha.com/loan-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
